export declare class BatchStats {
    commands: Array<any>;
    start: number;
    end: number | null;
    response: Array<any>;
    error: Error | null;
    constructor({commands, start}: {
        commands: any;
        start?: number;
    });
    readonly commandCount: number;
    readonly responseCount: number;
    readonly timeInRedis: number;
    finish(error: Error | null, response: Array<any>): void;
}
export declare class RedisStats {
    batches: Set<BatchStats>;
    batchCount: number;
    commandCount: number;
    responseCount: number;
    timeInRedis: number;
    lastBatch: BatchStats | null;
    constructor();
    startBatch(commands: any): BatchStats;
    endBatch(batch: BatchStats, error: Error | null, response: Array<any>): void;
    toJSON(): {
        batches: BatchStats[];
        batchCount: number;
        commandCount: number;
        responseCount: number;
        timeInRedis: number;
        lastBatch: BatchStats;
    };
}
